// cd /projects/programs/flin/0_master/
// qstata data_1_ind_str.do & 

cd /projects/data/flin/0_cw/

import delimited "cw_ind_str.csv", clear
keep ch_ind ch_ind_str
recast double ch_ind
replace ch_ind = round(ch_ind, 0.1)
save "cw_ind_str", replace

import delimited "cw_ind_str_fknaics_imp.csv", clear
recast double ch_ind
append using "cw_ind_str"
merge 1:1 ch_ind using "cw_ind_sect_fknaics_imp", assert(match) nogen
keep if ch_ind_rev != 0
keep ch_ind ch_ind_str
save "cw_ind_str_fknaics_imp", replace

// End of do file