# General Scripts

This folder includes some general purpose scripts. \* denotes important scripts.

## General Purpose Scripts

| Script | Description |
|:---------|:---------|
| `data_0_firm_local.sas` | SAS macros that define whether a firm is a local firm. |
| `m_unit_status.sas`* | SAS macros that cateorize firms or plants (defined at selected levels) base on the change in their employment between year1 and year2. The category is called "employment status." |
| `m_sum_by_stat.sas`* | SAS macros that sum up employment by unit's employment status. |
| `m_rank_by_var.sas`* | Rank by selected variable. |
| `m_perc_by_var.sas`* | Rank and percentile by selected variable. Moved from `code_1_lbd/`. |
| `f_lpolyci.do`* | Script that generates lpolyci figures along with data points. |
| `f_reg.do`* | Script that saves regression results in data frame. |
| `f_rounding.do`* | Script that rounds numbers according to the Census guideline. |
| ` ` | |
