/* 
cd /projects/hsieh_project/proj_201809/code_1_data/
qsas data_1_jobcr_czone.sas 5 & 
*/

%include "/projects/hsieh_project/proj_201809/code_1_data/data_1_jobcr_0.sas";
%Let dir_data = /projects/hsieh_project/proj_201809/data/;

%Let c_city = czone;

/*
--------------------------------------------------------------------------------
1977-2013
--------------------------------------------------------------------------------
*/

proc datasets library=work nolist;
  delete lbd_&c_city.;
run;

%m_jobcr_main(param_city=&c_city., param_lyear=%quote(1977,1982,1987,1992,1997,2002,2007,2013));

proc export 
  data=lbd_&c_city. 
  outfile="&dir_data./jobcr_&c_city._1977_2013.dta" replace;
run;

/*
--------------------------------------------------------------------------------
1977-2016
--------------------------------------------------------------------------------
*/
/*
proc datasets library=work nolist;
  delete lbd_&c_city.;
run;

%m_jobcr_main(param_city=&c_city., param_lyear=%quote(1977,1982,1987,1992,1997,2002,2007,2012,2016));

proc export 
  data=lbd_&c_city. 
  outfile="&dir_data./jobcr_&c_city._1977_2016.dta" replace;
run;
*/

/* End of SAS file */
