#!/bin/bash

cd /projects/hsieh_project/proj_201809/code_1_data/

# Save a copy of cleaned data (optional)
qsas data_1_save_all.sas 8 &

# Results at aggregate, industry
# qsas data_1_agg_sum.sas 5 & 
qsas data_1_ind_sum.sas 5 &
qstata data_2_ind_sum_add.do
qstata data_3_sect_mfg.do

# Results at city-indsutry level
qsas data_1_cityind_sum.sas 5 &
qsas data_1_cityind_sum_t1.sas 5 &
qstata --dofile=data_2_cityind_all_sel.do --statatype=mp --cpucount=5 &

# Job destruction
# qsas data_1_jobcr_sel_ind.sas 5 &
qsas data_1_jobcr_msa.sas 5 &
qsas data_1_jobcr_fips.sas 5 &
qsas data_1_jobcr_czone.sas 5 &
qsas data_1_jobcr_msa_czone.sas 5 &

# Markets
qsas data_1_ind_sum_addgeo.sas 5 & # Top defined by emp
qsas data_1_mkt_ind_sum.sas 5 & # Top defined by market

# Auxiliary employment
qsas data_1_aux_ind_sum.sas 5 &
qsas data_1_aux_ind_sum_sep.sas 5 &
qsas data_1_aux_ind_top_sum.sas 5 &

# End of bash script
